``role::zookeeper``
===================

This role implements a `zookeeper <https://zookeeper.apache.org/>`_ server. It
only writes the configuration files and enables and starts the service. It *does
not* install the necessary packages.


Parameters
----------

Technically this role has no parameters, but the following parameters are used
by ``profile::zookeeper``.

=================  =========  =========================================
myid               string     hiera('zookeeper::myid')
zookeeper_nodes    array      hiera('zookeeper::zookeeper_nodes', [])
=================  =========  =========================================


``myid``
~~~~~~~~

The unique ID of the zookeeper node.


``zookeeper_nodes``
~~~~~~~~~~~~~~~~~~~

The list off zookeeper nodes in the cluster.
